%define anolis_release 1

%global testing 0

Name:		erlang-rpm-macros
Version:	0.3.6
Release:	%{anolis_release}%{?dist}
Summary:	Macros for simplifying building of Erlang packages
License:	MIT
URL:		https://github.com/fedora-erlang/erlang-rpm-macros
VCS:		scm:git:https://github.com/fedora-erlang/erlang-rpm-macros.git
Source0:	https://github.com/fedora-erlang/erlang-rpm-macros/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
%if 0%{?testing}
# These BRs needed only for testing
BuildRequires:	erlang-crypto
BuildRequires:	erlang-erlsyslog
BuildRequires:	erlang-erts
BuildRequires:	python3-pybeam
BuildRequires:	python3-pyelftools
BuildRequires:	python3-rpm
BuildRequires: make
%endif
Requires:	rpm-build >= 4.11
# Requires for BEAM parsing
Requires:	python3-pybeam
# Requires for so-lib parsing
Requires:	python3-pyelftools
Requires:	python3-rpm


%description
Macros for simplifying building of Erlang packages.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
# Nothing to build


%install
install -d %{buildroot}%{_rpmconfigdir}/fileattrs
install -d %{buildroot}%{_rpmconfigdir}/macros.d
install -p -m 0755 erlang-find-provides.py %{buildroot}%{_rpmconfigdir}/erlang-find-provides
install -p -m 0755 erlang-find-requires.py %{buildroot}%{_rpmconfigdir}/erlang-find-requires
install -p -m 0644 macros.erlang %{buildroot}%{_rpmconfigdir}/macros.d/
install -p -m 0644 erlang.attr %{buildroot}%{_rpmconfigdir}/fileattrs/

%if 0%{?testing}
%check
make check
%endif

%files
%license LICENSE
%{_rpmconfigdir}/erlang-find-provides
%{_rpmconfigdir}/erlang-find-requires
%{_rpmconfigdir}/fileattrs/erlang.attr
%{_rpmconfigdir}/macros.d/macros.erlang

%files doc
%doc README

%changelog
* Fri Sep 01 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.6-1
- Init upstream from version 0.3.6
